<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>eicd: eic::TrackerDataData Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">eicd
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespaceeic.html">eic</a></li><li class="navelem"><a class="el" href="classeic_1_1_tracker_data_data.html">TrackerDataData</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="classeic_1_1_tracker_data_data-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">eic::TrackerDataData Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="_tracker_data_data_8h_source.html">TrackerDataData.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:ac2926ac718de54cf0797a8fc18707b7c"><td class="memItemLeft" align="right" valign="top">long long&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_tracker_data_data.html#ac2926ac718de54cf0797a8fc18707b7c">cellID0</a></td></tr>
<tr class="memdesc:ac2926ac718de54cf0797a8fc18707b7c"><td class="mdescLeft">&#160;</td><td class="mdescRight">The detector specific (geometrical) cell id.  <a href="#ac2926ac718de54cf0797a8fc18707b7c">More...</a><br /></td></tr>
<tr class="separator:ac2926ac718de54cf0797a8fc18707b7c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adee186d50db7dd0e9591ba06e29bd69e"><td class="memItemLeft" align="right" valign="top">long long&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_tracker_data_data.html#adee186d50db7dd0e9591ba06e29bd69e">cellID1</a></td></tr>
<tr class="memdesc:adee186d50db7dd0e9591ba06e29bd69e"><td class="mdescLeft">&#160;</td><td class="mdescRight">The second detector specific (geometrical) cell id.  <a href="#adee186d50db7dd0e9591ba06e29bd69e">More...</a><br /></td></tr>
<tr class="separator:adee186d50db7dd0e9591ba06e29bd69e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a760a6f6d869cd546c07197d619879a0e"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_tracker_data_data.html#a760a6f6d869cd546c07197d619879a0e">time</a></td></tr>
<tr class="memdesc:a760a6f6d869cd546c07197d619879a0e"><td class="mdescLeft">&#160;</td><td class="mdescRight">time measurement associated with the adc values.  <a href="#a760a6f6d869cd546c07197d619879a0e">More...</a><br /></td></tr>
<tr class="separator:a760a6f6d869cd546c07197d619879a0e"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>EIC tracker data </p><dl class="section author"><dt>Author</dt><dd>: F.Gaede, B. Hegner </dd></dl>

<p class="definition">Definition at line <a class="el" href="_tracker_data_data_8h_source.html#l00014">14</a> of file <a class="el" href="_tracker_data_data_8h_source.html">TrackerDataData.h</a>.</p>
</div><h2 class="groupheader">Member Data Documentation</h2>
<a id="ac2926ac718de54cf0797a8fc18707b7c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac2926ac718de54cf0797a8fc18707b7c">&#9670;&nbsp;</a></span>cellID0</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">long long eic::TrackerDataData::cellID0</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>The detector specific (geometrical) cell id. </p>

<p class="definition">Definition at line <a class="el" href="_tracker_data_data_8h_source.html#l00016">16</a> of file <a class="el" href="_tracker_data_data_8h_source.html">TrackerDataData.h</a>.</p>

<p class="reference">Referenced by <a class="el" href="_tracker_data_const_8cc_source.html#l00048">eic::ConstTrackerData::cellID0()</a>, <a class="el" href="_tracker_data_8cc_source.html#l00050">eic::TrackerData::cellID0()</a>, <a class="el" href="_tracker_data_const_8cc_source.html#l00020">eic::ConstTrackerData::ConstTrackerData()</a>, and <a class="el" href="_tracker_data_8cc_source.html#l00020">eic::TrackerData::TrackerData()</a>.</p>

</div>
</div>
<a id="adee186d50db7dd0e9591ba06e29bd69e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adee186d50db7dd0e9591ba06e29bd69e">&#9670;&nbsp;</a></span>cellID1</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">long long eic::TrackerDataData::cellID1</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>The second detector specific (geometrical) cell id. </p>

<p class="definition">Definition at line <a class="el" href="_tracker_data_data_8h_source.html#l00017">17</a> of file <a class="el" href="_tracker_data_data_8h_source.html">TrackerDataData.h</a>.</p>

<p class="reference">Referenced by <a class="el" href="_tracker_data_const_8cc_source.html#l00049">eic::ConstTrackerData::cellID1()</a>, <a class="el" href="_tracker_data_8cc_source.html#l00051">eic::TrackerData::cellID1()</a>, <a class="el" href="_tracker_data_const_8cc_source.html#l00020">eic::ConstTrackerData::ConstTrackerData()</a>, and <a class="el" href="_tracker_data_8cc_source.html#l00020">eic::TrackerData::TrackerData()</a>.</p>

</div>
</div>
<a id="a760a6f6d869cd546c07197d619879a0e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a760a6f6d869cd546c07197d619879a0e">&#9670;&nbsp;</a></span>time</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int eic::TrackerDataData::time</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>time measurement associated with the adc values. </p>

<p class="definition">Definition at line <a class="el" href="_tracker_data_data_8h_source.html#l00018">18</a> of file <a class="el" href="_tracker_data_data_8h_source.html">TrackerDataData.h</a>.</p>

<p class="reference">Referenced by <a class="el" href="_tracker_data_const_8cc_source.html#l00020">eic::ConstTrackerData::ConstTrackerData()</a>, <a class="el" href="_tracker_data_const_8cc_source.html#l00050">eic::ConstTrackerData::time()</a>, <a class="el" href="_tracker_data_8cc_source.html#l00052">eic::TrackerData::time()</a>, and <a class="el" href="_tracker_data_8cc_source.html#l00020">eic::TrackerData::TrackerData()</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>eicd/<a class="el" href="_tracker_data_data_8h_source.html">TrackerDataData.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
